Bug 1083088 - jetty: Example config file prevents jetty from starting
Summary: jetty: Example config file prevents jetty from starting
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: jetty
Version: 20
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Mikolaj Izdebski
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-04-01 13:02 UTC by Mikolaj Izdebski
Modified: 2014-04-25 04:26 UTC (History)
7 users (show)

Fixed In Version: jetty-9.0.5-3.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-04-25 04:26:11 UTC


Attachments (Terms of Use)

Description Mikolaj Izdebski 2014-04-01 13:02:29 UTC
Description of problem:
An example configuration file in start.d prevents Jetty from starting.

Version-Release number of selected component (if applicable):
9.0.5-1

Steps to Reproduce:
# jetty start

Actual results:
Starting Jetty: java.io.FileNotFoundException: Unable to find XML Config: etc/test-realm.xml
	at org.eclipse.jetty.start.Main.resolveXmlConfig(Main.java:710)
	at org.eclipse.jetty.start.Main.resolveXmlConfigs(Main.java:950)
	at org.eclipse.jetty.start.Main.start(Main.java:542)
	at org.eclipse.jetty.start.Main.main(Main.java:99)

Usage: java -jar start.jar [options] [properties] [configs]
       java -jar start.jar --help  # for more information

FAILED Tue Apr  1 14:59:40 CEST 2014

Expected results:
Starting Jetty: 2014-04-01 14:59:54.598:INFO::main: Redirecting stderr/stdout to /var/log/jetty/2014_04_01.stderrout.log
OK Tue Apr  1 14:59:57 CEST 2014

Additional info:
Removing example file helps:
rm -f /usr/share/jetty/start.d/900-demo.ini

Comment 1 Fedora Update System 2014-04-11 14:09:51 UTC
jetty-9.0.5-3.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/jetty-9.0.5-3.fc20

Comment 2 Fedora Update System 2014-04-15 15:40:24 UTC
Package jetty-9.0.5-3.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing jetty-9.0.5-3.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-5116/jetty-9.0.5-3.fc20
then log in and leave karma (feedback).

Comment 3 Fedora Admin XMLRPC Client 2014-04-24 12:46:38 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 4 Fedora Update System 2014-04-25 04:26:11 UTC
jetty-9.0.5-3.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.